org.bouncycastle.jce.interfaces

## Interface ECPrivateKey

All Superinterfaces:
  ECKey, java.security.Key, java.security.PrivateKey, java.io.Serializable

All Known Implementing Classes:
  JCEECPrivateKey

    public interface ECPrivateKey
    extends ECKey, java.security.PrivateKey

interface for Elliptic Curve Private keys.

### Field Summary

### Fields inherited from interface java.security.PrivateKey

`serialVersionUID`

### Method Summary

Methods
`java.math.BigInteger` `getD()` return the private value D.

### Methods inherited from interface org.bouncycastle.jce.interfaces.ECKey

`getParameters`

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Method Detail

#### getD

    java.math.BigInteger getD()

return the private value D.